mbedtls_ripemd160_context Struct Reference

RIPEMD-160 context structure. More...

`#include <ripemd160.h>`

## Data Fields

uint32_t | total [2]
uint32_t | state [5]
unsigned char | buffer [64]

## Detailed Description

RIPEMD-160 context structure.

Definition at line 50 of file ripemd160.h.

## Field Documentation

## buffer

unsigned char mbedtls_ripemd160_context::buffer[64]

data block being processed

Definition at line 54 of file ripemd160.h.

## state

uint32_t mbedtls_ripemd160_context::state[5]

intermediate digest state

Definition at line 53 of file ripemd160.h.

## total

uint32_t mbedtls_ripemd160_context::total[2]

number of bytes processed

Definition at line 52 of file ripemd160.h.

The documentation for this struct was generated from the following file:

- ripemd160.h